Package org.flowable.dmn.model

# Class Decision

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.NamedElement
org.flowable.dmn.model.DRGElement
org.flowable.dmn.model.Decision

public class Decision extends DRGElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `allowedAnswers`
  `protected List<AuthorityRequirement>`
  `authorityRequirements`
  `protected DmnDefinition`
  `dmnDefinition`
  `protected Expression`
  `expression`
  `protected boolean`
  `forceDMN11`
  `protected String`
  `question`
  `protected List<InformationRequirement>`
  `requiredDecisions`
  `protected List<InformationRequirement>`
  `requiredInputs`
  `protected InformationItem`
  `variable`

  ### Fields inherited from class org.flowable.dmn.model.NamedElement

  `name`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Decision()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAuthorityRequirement(AuthorityRequirement authorityRequirement)`
  `void`
  `addRequiredDecision(InformationRequirement requiredDecision)`
  `void`
  `addRequiredInput(InformationRequirement requiredInput)`
  `String`
  `getAllowedAnswers()`
  `List<AuthorityRequirement>`
  `getAuthorityRequirements()`
  `DmnDefinition`
  `getDmnDefinition()`
  `Expression`
  `getExpression()`
  `String`
  `getQuestion()`
  `List<InformationRequirement>`
  `getRequiredDecisions()`
  `List<InformationRequirement>`
  `getRequiredInputs()`
  `InformationItem`
  `getVariable()`
  `boolean`
  `isForceDMN11()`
  `void`
  `setAllowedAnswers(String allowedAnswers)`
  `void`
  `setAuthorityRequirements(List<AuthorityRequirement> authorityRequirements)`
  `void`
  `setDmnDefinition(DmnDefinition dmnDefinition)`
  `void`
  `setExpression(Expression expression)`
  `void`
  `setForceDMN11(boolean forceDMN11)`
  `void`
  `setQuestion(String question)`
  `void`
  `setRequiredDecisions(List<InformationRequirement> requiredDecisions)`
  `void`
  `setRequiredInputs(List<InformationRequirement> requiredInputs)`
  `void`
  `setVariable(InformationItem variable)`

  ### Methods inherited from class org.flowable.dmn.model.NamedElement

  `getName, setName`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### question

    protected String question

  - ### allowedAnswers

    protected String allowedAnswers

  - ### variable

    protected InformationItem variable

  - ### requiredDecisions

    protected List<InformationRequirement> requiredDecisions

  - ### requiredInputs

    protected List<InformationRequirement> requiredInputs

  - ### authorityRequirements

    protected List<AuthorityRequirement> authorityRequirements

  - ### expression

    protected Expression expression

  - ### forceDMN11

    protected boolean forceDMN11

  - ### dmnDefinition

    protected DmnDefinition dmnDefinition

- ## Constructor Details

  - ### Decision

    public Decision()

- ## Method Details

  - ### getQuestion

    public String getQuestion()

  - ### setQuestion

    public void setQuestion(String question)

  - ### getAllowedAnswers

    public String getAllowedAnswers()

  - ### setAllowedAnswers

    public void setAllowedAnswers(String allowedAnswers)

  - ### getVariable

    public InformationItem getVariable()

  - ### setVariable

    public void setVariable(InformationItem variable)

  - ### getRequiredDecisions

    public List<InformationRequirement> getRequiredDecisions()

  - ### setRequiredDecisions

    public void setRequiredDecisions(List<InformationRequirement> requiredDecisions)

  - ### addRequiredDecision

    public void addRequiredDecision(InformationRequirement requiredDecision)

  - ### getRequiredInputs

    public List<InformationRequirement> getRequiredInputs()

  - ### setRequiredInputs

    public void setRequiredInputs(List<InformationRequirement> requiredInputs)

  - ### addRequiredInput

    public void addRequiredInput(InformationRequirement requiredInput)

  - ### getAuthorityRequirements

    public List<AuthorityRequirement> getAuthorityRequirements()

  - ### setAuthorityRequirements

    public void setAuthorityRequirements(List<AuthorityRequirement> authorityRequirements)

  - ### addAuthorityRequirement

    public void addAuthorityRequirement(AuthorityRequirement authorityRequirement)

  - ### getExpression

    public Expression getExpression()

  - ### setExpression

    public void setExpression(Expression expression)

  - ### isForceDMN11

    public boolean isForceDMN11()

  - ### setForceDMN11

    public void setForceDMN11(boolean forceDMN11)

  - ### getDmnDefinition

    public DmnDefinition getDmnDefinition()

  - ### setDmnDefinition

    public void setDmnDefinition(DmnDefinition dmnDefinition)